/******************************************************************************/
/* System Level #define Macros                                                */
/******************************************************************************/

// pin asignment
//#define out-free-Pin            GPIObits.GP1
#define outDataPin              GPIObits.GP2
#define	inButtonPin             GPIObits.GP3
#define outStorageClockPin      GPIObits.GP4
#define	outShiftClockPin        GPIObits.GP5

// constants
#define ButtonPressed 1    // switch attached to Vcc
#define const_ADCsamples 16

#define const_offsetI   512 // Quite accurate 1024/2 as voltage divider and ADC have the same Vcc reference ;-)
#define const_waitcounter   160 // the number AC current measurements. Results need to fit into integer variable!

#define _XTAL_FREQ 4000000  // internal OSC, 4MHz

//#define TESTMODE    // define this to have a pulse out at GP1 to check duration of AC sampling. (need also set GP1 as output! -> user.c)
#ifdef TESTMODE
        #define outTestPin    GPIObits.GP1
#endif
/******************************************************************************/
/* System Function Prototypes                                                 */
/******************************************************************************/

/* Custom oscillator configuration funtions, reset source evaluation
functions, and other non-peripheral microcontroller initialization functions
go here. */

void ConfigureOscillator(void); /* Handles clock switching/osc initialization */
